<section >
  <div class="page-container is-fullwidth">
    <div class="page-header-container">
      <app-page-header [pageInfo]="pageHeaderInfo"></app-page-header>
      <p *ngIf="intro" class="chapo">{{ intro }}</p>
    </div>
    <div class="posts">
      <div class="post-container">
        <div class="is-4-desktop is-8-tablet" *ngFor="let post of posts">
          <div class="post-item">
            <a [routerLink]="['/', AppRoutes.news.uri, post.slug]" class="link-without-decoration">
              <div class="post-image" [ngStyle]="{'background-image': 'url(' + post.content.featureImage + ') '}">
              </div>
              <div class="post-description">
                <p class="post-description-date">
                  {{ post.content.publicationDate | date: 'dd.MM.yyyy' }}
                  {{post.content.category ?  ' - ' + post.content.category : ''}}
                </p>
                <p class="post-description-title" [innerHTML]=post.content.title></p>
              </div>
            </a>
          </div>
        </div>
        <div class="pagination-bottom">
          <app-paginator *ngIf="paginator.length > 0" [length]="paginator.length" [pageSize]="paginator.pageSize"
            [pageSizeOptions]="paginator.pageSizeOptions" [pageIndex]="paginator.pageIndex" [loading]="isLoading"
            [showFirstLastButtons]="true" (page)="changePagination($event)" (pageSizeChanged)="changePageSize($event)">
          </app-paginator>
        </div>
      </div>
    </div>
  </div>
</section>

<ng-template #postsErrorTemplate>
  <div class="error-template">Couldn't load list of posts</div>
</ng-template>
